Skip to content

Results are limited to the current section: Cloud services

Product news

Get Status History

GET
/api/v1/devices/{device_type}/status-history

Get a collection of all the previous UP/DOWN statuses for a device.

This route should provide 3 months of device status history along with the current status of a device.

device_type
required
DeviceTypeName

Enumeration of allowed and legacy device type names

string
Allowed values: EMU_FREE EMU_SV EMU_TN EMU_C FRESNEL FRESNEL_CAN1 FRESNEL_SA1 FRESNEL8 EMU_FRESNEL FRESNEL_RD EMU_MPS
start_date
Start Date
string format: date

Successful Response

NonPaginatedResponse[ProducedManyDeviceHistoryResponse]
object
data
ProducedManyDeviceHistoryResponse
object
device_type
required
DeviceTypeName

Enumeration of allowed and legacy device type names

string
Allowed values: EMU_FREE EMU_SV EMU_TN EMU_C FRESNEL FRESNEL_CAN1 FRESNEL_SA1 FRESNEL8 EMU_FRESNEL FRESNEL_RD EMU_MPS
current_status
required
DeviceStatus

An enumeration.

string
Allowed values: UP DOWN
current_status_message
Current Status Message
string
history
required
History
Array<object>
DeviceStatusHistoryUpdate
object
status
required
DeviceStatus

An enumeration.

string
Allowed values: UP DOWN
message
Message
string
created_at
required
Created At
string format: date-time

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string